Subject: Re: [PATCH] net: phylink: check for pcs_ops being NULL

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 21 Jun 2022 17:01:40 +0100

On Tue, Jun 21, 2022 at 03:49:17PM +0200, Yann Sionneau wrote:
> Out of tree drivers that have not been updated
> after 001f4261fe4d ("net: phylink: use legacy_pre_march2020") would not set the
> legacy_pre_march2020 boolean which if not initialized will default to false.
> Such drivers will most likely still be using the legacy interface and will
> not have pcs_ops.

... which means they're broken. The answer is not to patch phylink like
this, because even with this, it's likely that they are still broken.

They need to set legacy_pre_march2020.

Note that the legacy stuff will be going away - some of it, such as the
mac_pcs_an_restart() method will be going away, maybe in the next merge
window.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!